Package org.h2.command.ddl

# Class CreateUser

java.lang.Object
org.h2.command.Prepared
org.h2.command.ddl.DefineCommand
org.h2.command.ddl.CreateUser

public class CreateUser extends DefineCommand
This class represents the statement CREATE USER

## Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

## Constructor Summary

Constructors
Constructor
Description
`CreateUser(SessionLocal session)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getType()`
Get the command type as defined in CommandInterface
`void`
`setAdmin(boolean b)`
`void`
`setComment(String comment)`
`void`
`setHash(Expression e)`
`void`
`setIfNotExists(boolean ifNotExists)`
`void`
`setPassword(Expression password)`
`void`
`setSalt(Expression e)`
`void`
`setUserName(String userName)`
`long`
`update()`
Execute the statement.

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, isRetryable, isTransactional, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCurrentRowNumber, getDatabase, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, invalidateCachedResult, isCacheable, isQuery, isWithParamValues, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CreateUser

public CreateUser(SessionLocal session)

## Method Details

### setIfNotExists

public void setIfNotExists(boolean ifNotExists)

### setUserName

public void setUserName(String userName)

### setPassword

public void setPassword(Expression password)

### update

public long update()
Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

### setSalt

public void setSalt(Expression e)

### setHash

public void setHash(Expression e)

### setAdmin

public void setAdmin(boolean b)

### setComment

public void setComment(String comment)

### getType

public int getType()
Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type